LruTaxonomyWriterCache.LRUType (Lucene 10.5.0 facet API)
Description: declaration: package: org.apache.lucene.facet.taxonomy.writercache, class: LruTaxonomyWriterCache, enum: LRUType

Package org.apache.lucene.facet.taxonomy.writercache

# Enum Class LruTaxonomyWriterCache.LRUType

java.lang.Object
java.lang.Enum<LruTaxonomyWriterCache.LRUType>
org.apache.lucene.facet.taxonomy.writercache.LruTaxonomyWriterCache.LRUType

All Implemented Interfaces:
  `Serializable`, `Comparable<LruTaxonomyWriterCache.LRUType>`, `Constable`

Enclosing class:
  `LruTaxonomyWriterCache`

public static enum LruTaxonomyWriterCache.LRUType extends Enum<LruTaxonomyWriterCache.LRUType>
Determines cache type. For guaranteed correctness - not relying on no-collisions in the hash function, LRU_STRING should be used.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LRU_HASHED`
  Use only the label's 64 bit longHashCode as the hash key.
  `LRU_STRING`
  Use the label as the hash key; this is always correct but will usually use more RAM.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LruTaxonomyWriterCache.LRUType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LruTaxonomyWriterCache.LRUType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LRU_HASHED

    public static final LruTaxonomyWriterCache.LRUType LRU_HASHED
    Use only the label's 64 bit longHashCode as the hash key. Do not check equals, unlike most hash maps. Note that while these hashes are very likely to be unique, the chance of a collision is still greater than zero. If such an unlikely event occurs, your document will get an incorrect facet.

  - ### LRU_STRING

    public static final LruTaxonomyWriterCache.LRUType LRU_STRING
    Use the label as the hash key; this is always correct but will usually use more RAM.

- ## Method Details

  - ### values

    public static LruTaxonomyWriterCache.LRUType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LruTaxonomyWriterCache.LRUType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null